Package org.eclipse.microprofile.config.tck

# Class ConfigPropertiesTest.BeanFour

java.lang.Object
org.eclipse.microprofile.config.tck.ConfigPropertiesTest.BeanFour

Enclosing class:
  ConfigPropertiesTest

@ConfigProperties(prefix="cloud") @Dependent public static class ConfigPropertiesTest.BeanFour extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Optional<String>`
`location`
`int`
`port`

## Constructor Summary

Constructors
Constructor
Description
`BeanFour()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHost()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### port

public int port

### location

public Optional<String> location

## Constructor Details

### BeanFour

public BeanFour()

## Method Details

### getHost

public String getHost()